@import '../../../assets/styles/general';
@import '../../../assets/styles/button';

:host {
  display: block;
  padding: 10px;
}

mat-card {
  display: flex;
  flex-direction: row-reverse;
  padding: 0;
  width: 100%;
  margin-bottom: 15px;
  background-color: rgba(255, 255, 255, 0.72);
}

mat-card > figure {
  margin: 0;
  width: 100px;
  height: 100px;

  img {
    width: 100%;
    height: 100%;
  }
}

mat-card > span {
  width: calc(100% - 120px);
  margin: 0 10px;
}

mat-card h3 {
  font-family: elMessiri;
  font-size: $title-size-sm;
  margin: 20px 0 30px;
}

mat-card > span > span {
  display: block;
  text-align: left;
}

mat-card button {
  margin: 0 5px;
  line-height: 25px;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  :host {
    padding: 20px;
  }

  mat-card {
    margin-bottom: 20px;
  }

  mat-card > figure {
    width: 150px;
    height: 150px;
  }

  mat-card > span {
    width: calc(100% - 190px);
    margin: 0 20px;
  }

  mat-card h3 {
    font-size: $title-size-m;
    margin: 30px 0 50px;
  }

  mat-card button {
    line-height: 30px;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  :host {
    padding: 30px;
    display: inline-block;
    text-align: right;
  }

  mat-card {
    display: inline-flex;
    margin: 10px;
    width: calc(50% - 20px);
  }

  mat-card > figure {
    width: 150px;
    height: 150px;
  }

  mat-card > span {
    width: calc(100% - 170px);
    margin: 0 10px;
  }

  mat-card h3 {
    font-size: $title-size-lg;
    margin: 30px 0 50px;
  }

  mat-card button {
    line-height: 35px;
    min-width: 70px;
    margin: 5px;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  :host {
    padding: 30px;
    display: inline-block;
    text-align: right;
  }

  mat-card {
    display: inline-flex;
    margin: 10px;
    width: calc(50% - 20px);
  }

  mat-card > figure {
    width: 150px;
    height: 150px;
  }

  mat-card > span {
    width: calc(100% - 170px);
    margin: 0 10px;
  }

  mat-card h3 {
    font-size: $title-size-xlg;
    margin: 30px 0 50px;
  }

  mat-card button {
    line-height: 40px;
    min-width: 90px;
    margin: 0 10px;
  }
}
@media screen and (min-width: 1200px) {
  :host {
    padding: 30px;
    display: inline-block;
    text-align: right;
  }

  mat-card {
    display: inline-flex;
    margin: 10px;
    width: calc(50% - 20px);
  }

  mat-card > figure {
    width: 150px;
    height: 150px;
  }

  mat-card > span {
    width: calc(100% - 170px);
    margin: 0 10px;
  }

  mat-card h3 {
    font-size: $title-size-xlg;
    margin: 30px 0 50px;
  }

  mat-card button {
    line-height: 40px;
    min-width: 90px;
    margin: 0 10px;
  }
}
